bitel.billing.server.ipn.bean

## Class ClientStatManager

- java.lang.Object
- - bitel.billing.server.ipn.bean.ClientStatManager

-     public class ClientStatManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientStatManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStatInfo(org.w3c.dom.Element el, int cid, java.lang.String aids, java.lang.String sids, int year, int month, int day)` Добавление в указанный элемент информации по наработке клиента по указанным адресам aids в stat - информация о наработке labels - подписи
    `void` | `addStatInfo(java.util.Map<java.lang.String,java.lang.Object> dataMap, int cid, java.lang.String aids, java.lang.String sids, int year, int month, int day)` тот же метод, сделан для jsp Map вместо Element )
    `void` | `fillData(int cid, java.lang.String aids, java.lang.String sids, int year, int month, int day)`
    `java.util.SortedMap<java.lang.Integer,java.lang.Long>` | `getStatData()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientStatManager

          public ClientStatManager(java.sql.Connection con,
                                   int mid)

  - ### Method Detail

    - #### addStatInfo

          public void addStatInfo(org.w3c.dom.Element el,
                                  int cid,
                                  java.lang.String aids,
                                  java.lang.String sids,
                                  int year,
                                  int month,
                                  int day)

      Добавление в указанный элемент информации по наработке клиента по указанным адресам aids в stat - информация о наработке labels - подписи
      Parameters:
        `el` - Element
        `cid` - int - договор клиента
        `aids` - String - адреса, если пустой или null - все адреса
        `sids` - String - услуги, если пусто - не по каким услугам
        `year` - int - год, обязательно должен быть
        `month` - int - месяц, если 0 - информация за год, иначе начиная с 1
        `day` - int - день, если 0 - информация за месяц иначе почасовая раскладка

    - #### addStatInfo

          public void addStatInfo(java.util.Map<java.lang.String,java.lang.Object> dataMap,
                                  int cid,
                                  java.lang.String aids,
                                  java.lang.String sids,
                                  int year,
                                  int month,
                                  int day)

      тот же метод, сделан для jsp Map вместо Element )
      Parameters:
        `dataMap` - Map
        `cid` - int - договор клиента
        `aids` - String - адреса, если пустой или null - все адреса
        `sids` - String - услуги, если пусто - не по каким услугам
        `year` - int - год, обязательно должен быть
        `month` - int - месяц, если 0 - информация за год, иначе начиная с 1
        `day` - int - день, если 0 - информация за месяц иначе почасовая раскладка

    - #### fillData

          public void fillData(int cid,
                               java.lang.String aids,
                               java.lang.String sids,
                               int year,
                               int month,
                               int day)
                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getStatData

          public java.util.SortedMap<java.lang.Integer,java.lang.Long> getStatData()